aboutsummaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap15
1 files changed, 15 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..1bce04f
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+podir=po
+
+echo "Updating po files"
+rsync --delete --include '*.po' --exclude '*' -Lrtvz \
+ 'translationproject.org::tp/latest/wyslij-po/' $podir
+find $po -mindepth 1 -maxdepth 1 -name '*.po' | sed -e 's|.*/||' -e 's|\.po$||' > $podir/LINGUAS
+
+echo "Bootstrapping the project"
+autoreconf -f -i -s
+if [ ! -d $porefdir ]; then
+ mkdir $porefdir
+fi
+

Return to:

Send suggestions and report system problems to the System administrator.